package main

import "github.com/wailsapp/wails/v3/pkg/application"

type BotService struct{}

var excelFilePath string

func (g *BotService) ClaimFile() string {

	dialog := application.OpenFileDialog()
	dialog.SetTitle("Lütfen yüklenecek Excel dosyanızı seçiniz")
	file, err := dialog.PromptForSingleSelection()
	if err != nil {
		return ""
	}
	excelFilePath = file
	return file
}
